\version "2.18.2"

\include "source.ily"

\header {
  title = "Praise to the Lord, the Almighty"
  composer = \markup {
    \override #'(baseline-skip . 2)
    \right-column {
      "Hugo Distler (1908 – 1942)"
      "Opus 6,2 no. 1"
    }
  }
  poet = \markup {
    \override #'(baseline-skip . 2)
    \left-column {
      "Joachim Neander (1650 – 1680)"
      "Translation by Catherine Winkworth (1827 – 1878)"
    }
  }
  copyright = \markup {\small "Copyright © 2016 by CPDL. This edition can be fully distributed, duplicated, performed, and recorded."}
  tagline = \markup { \override #'(baseline-skip . 2) \rounded-box \center-column {
    { \small \concat { "Source: " \italic "Drei kleine Choralmotetten für vierstimmigen gemischten Chor" ", 1933"} }
    {\small #(string-append "Engraved by Jon Arnold using Lilypond v. " (lilypond-version))}
                     }
  }
}

\paper {
  #(set-paper-size "letter")
}
#(set-global-staff-size 15.5)

rehearsalMidi = #
(define-music-function
 (parser location name midiInstrument lyrics) (string? string? ly:music?)
 #{
   \unfoldRepeats <<
     \new Staff = "soprano1" \new Voice = "soprano1" { \sopranoOneA \sopranoOneB \sopranoOneA }
     \new Staff = "soprano2" \new Voice = "soprano2" { \sopranoOneUpToSopTwoEntrance \sopranoTwoNotes \sopranoOneA}
     \new Staff = "alto" \new Voice = "alto" { \altoA \altoB \altoA }
     \new Staff = "tenor" \new Voice = "tenor" { \tenor \bassB \tenor }
     \new Staff = "bass" \new Voice = "bass" { \bassA \bassB \bassA }
     \context Staff = $name {
       \set Score.midiMinimumVolume = #0.5
       \set Score.midiMaximumVolume = #0.5
       %\set Score.tempoWholesPerMinute = #(ly:make-moment 100 4)
       \set Staff.midiMinimumVolume = #0.8
       \set Staff.midiMaximumVolume = #1.0
       \set Staff.midiInstrument = $midiInstrument
     }
     \new Lyrics \with {
       alignBelowContext = $name
     } \lyricsto $name $lyrics
   >>
 #})

\score {
  <<
    \new ChoirStaff <<
      \new Staff \with {
        instrumentName = "Soprano"
        shortInstrumentName = "S"
      } { \sopranoOneA \sopranoOneB }
      \addlyrics { \sopranoOneVerseOne }
      \addlyrics { \sopranoOneVerseTwo }
      \new Staff \with {
        instrumentName = "Soprano II"
        shortInstrumentName = "S2"
      } { \sopranoTwoRests \sopranoTwoNotes }
      \addlyrics { \sopranoTwoVerseOne }
      \new Staff \with {
        instrumentName = "Alto"
        shortInstrumentName = "A"
      } { \altoA \altoB }
      \addlyrics { \altoVerseOne }
      \addlyrics { \altoVerseTwo }
      \new Staff \with {
        instrumentName = "Tenor"
        shortInstrumentName = "T"
      } { \clef "treble_8" \tenor }
      \addlyrics { \tenorVerseOne }
      \addlyrics { \tenorVerseTwo }
      \new Staff \with {
        instrumentName = "Bass"
        shortInstrumentName = "B"
      } { \clef bass \bassA \set Staff.shortInstrumentName = "T/B" \bassB }
      \addlyrics { \bassVerseOne }
      \addlyrics { \bassVerseTwo }
    >>
  >>
  \layout {
    \context {
      \Staff
      \RemoveEmptyStaves
      \override VerticalAxisGroup #'remove-first = ##t
    }
  }
}

sectionA = << \sopranoOneA \\ \altoA \\ \tenor \\ \bassA >>
sectionB = << \sopranoOneB \\ \sopranoTwoB \\ \altoB \\ \bassB >>

\score {
  \new Staff \with {
    midiInstrument = "voice oohs"} 
  \unfoldRepeats {
    \sectionA
    \sectionB
    \sectionA
  }
  \midi {
    \tempo 4=120
  }
}

% Rehearsal MIDI files: (slower)
\book {
  \bookOutputSuffix "soprano1-slow"
  \score {
    \rehearsalMidi "soprano1" "soprano sax" \sopranoOneVerseOne
    \midi { \tempo 4=100 }
  }
}

\book {
  \bookOutputSuffix "soprano2-slow"
  \score {
    \rehearsalMidi "soprano2" "soprano sax" \sopranoTwoVerseOne
    \midi { \tempo 4=100 }
  }
}

\book {
  \bookOutputSuffix "alto-slow"
  \score {
    \rehearsalMidi "alto" "soprano sax" \altoVerseOne
    \midi { \tempo 4=100 }
  }
}

\book {
  \bookOutputSuffix "tenor-slow"
  \score {
    \rehearsalMidi "tenor" "tenor sax" \tenorVerseOne
    \midi { \tempo 4=100 }
  }
}

\book {
  \bookOutputSuffix "bass-slow"
  \score {
    \rehearsalMidi "bass" "tenor sax" \bassVerseOne
    \midi { \tempo 4=100 }
  }
}

% Rehearsal MIDI files:
\book {
  \bookOutputSuffix "soprano1"
  \score {
    \rehearsalMidi "soprano1" "soprano sax" \sopranoOneVerseOne
    \midi { \tempo 4=120 }
  }
}

\book {
  \bookOutputSuffix "soprano2"
  \score {
    \rehearsalMidi "soprano2" "soprano sax" \sopranoTwoVerseOne
    \midi { \tempo 4=120 }
  }
}

\book {
  \bookOutputSuffix "alto"
  \score {
    \rehearsalMidi "alto" "soprano sax" \altoVerseOne
    \midi { \tempo 4=120 }
  }
}

\book {
  \bookOutputSuffix "tenor"
  \score {
    \rehearsalMidi "tenor" "tenor sax" \tenorVerseOne
    \midi { \tempo 4=120 }
  }
}

\book {
  \bookOutputSuffix "bass"
  \score {
    \rehearsalMidi "bass" "tenor sax" \bassVerseOne
    \midi { \tempo 4=120 }
  }
}